# $Revision: 1.55 $, $Date: 2009/02/27 11:15:00 $
Summary:	Library providing the gamin File Alteration Monitor API
Summary(pl.UTF-8):	Biblioteka dostarczająca File Alteration Monitor API gamina
Name:		gamin
Version:	0.1.10
Release:	2
License:	LGPL v2.1
Group:		Networking/Daemons
Source0:	http://www.gnome.org/~veillard/gamin/sources/%{name}-%{version}.tar.gz
# Source0-md5:	b4ec549e57da470c04edd5ec2876a028
URL:		http://www.gnome.org/~veillard/gamin/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	glib2-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Provides:	fam
Provides:	fam-libs
Obsoletes:	fam
Obsoletes:	fam-common
Obsoletes:	fam-inetd
Obsoletes:	fam-libs
Obsoletes:	fam-standalone
Obsoletes:	gamin-inetd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with gamin but not dependant on a system
wide daemon.

%description -l pl.UTF-8
Ta biblioteka C dostarcza mechanizm monitorowania zmian plików
kompatybilny na poziomie API i ABI z gaminem, ale niezależny od
ogólnosystemowego demona.

%package docs
Summary:	Documentation for gamin
Summary(pl.UTF-8):	Dokumentacja dla gamina
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description docs
Documentation for gamin.

%description docs -l pl.UTF-8
Dokumentacja dla gamina.

%package devel
Summary:	Includes to develop using gamin
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia programów z użyciem gamina
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel
Provides:	fam-devel
Obsoletes:	fam-devel

%description devel
Includes to develop using gamin.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów z użyciem gamina.

%package static
Summary:	gamin static libraries
Summary(pl.UTF-8):	Statyczne biblioteki gamina
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	fam-static
Obsoletes:	fam-static

%description static
gamin static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki gamina.

%package -n python-gamin
Summary:	Python modules for gamin
Summary(pl.UTF-8):	Moduły języka Python dla gamina
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-gamin
Python modules for gamin.

%description -n python-gamin -l pl.UTF-8
Moduły języka Python dla gamina.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--%{?debug:en}%{!?debug:dis}able-debug

%{__make} \
	CFLAGS="%{rpmcflags} -D_GNU_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT
rm -rf html
install -d html

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a doc/*.{html,gif} html

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.{py,la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gam_server
%attr(755,root,root) %{_libdir}/libfam.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfam.so.0
%attr(755,root,root) %{_libdir}/libgamin-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgamin-1.so.0

%files docs
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO html doc/*.txt

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfam.so
%attr(755,root,root) %{_libdir}/libgamin-1.so
%{_libdir}/libfam.la
%{_libdir}/libgamin-1.la
%{_includedir}/fam.h
%{_pkgconfigdir}/gamin.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libfam.a
%{_libdir}/libgamin-1.a
%{_libdir}/libgamin_shared.a

%files -n python-gamin
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_gamin.so
%{py_sitedir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gamin.spec,v $
Revision 1.55  2009/02/27 11:15:00  glen
- obsolete all fam packages now that it's gone; rel 2

Revision 1.54  2009/02/03 21:46:53  arekm
- up to 0.1.10

Revision 1.53  2008/11/26 23:58:33  sls
- ac/am regeneration removes c++ dependency

Revision 1.52  2008/11/26 16:29:30  sls
- BR: rpm-pythonprov
- BR: python-modules (compileall)

Revision 1.51  2008/11/26 16:22:43  sls
- added BR: gcc-c++ (required only by ./configure)

Revision 1.50  2008/10/24 19:34:13  baggins
- rel 5
- merge libs to main package (it's all in libdir, so no multilib problems)
- installed more docs and moved all of it to -docs package
- obsolete fam (after 3 years I changed my mind),
    rationale: fam does not support inotify, gamin does;
               some programs rely on extended capabilities provided by gamin (Thunar)
               loss of network support is no big deal, as gamin can monitor NFS mount client side

Revision 1.49  2008/10/14 21:55:27  glen
- release 4 (python 2.6)

Revision 1.48  2008/10/13 16:28:26  megabajt
- removed obsolete -ucred-headers.patch
- pass -D_GNU_SOURCE to CFLAGS (thx freetz)

Revision 1.47  2008/10/12 09:38:28  megabajt
- added -ucred-headers.patch
- more verbose files
- release 3

Revision 1.46  2008/10/07 16:05:54  deejay1
- rel. 2 for new Python

Revision 1.45  2007-08-03 18:37:51  qboosh
- clarified License (LGPL v2.1: some sources specify LGPL v2+, but others v2.1 without option)

Revision 1.44  2007/07/29 09:13:36  deejay1
- updated to 0.1.9; rel. 1

Revision 1.43  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.42  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.41  2006/11/25 13:25:09  arekm
- rel 2

Revision 1.40  2006/11/01 13:33:29  grzegol
- 0.1.8

Revision 1.39  2005/11/10 21:38:31  freetz
- 0.1.7, double free patch included in sources

Revision 1.38  2005/09/29 09:43:15  freetz
- https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=168744
  doublefree_fix patch added, rel.2, STBR Ac

Revision 1.37  2005/09/09 19:35:14  arekm
- up to 0.1.6

Revision 1.36  2005/08/14 09:21:12  freetz
- 0.1.5

Revision 1.35  2005/08/08 19:59:56  arekm
- rel 2; enable inotify on alpha/ppc/sparc; disable debug messages

Revision 1.34  2005/08/03 21:30:50  freetz
- 0.1.3

Revision 1.33  2005/06/30 14:04:53  baggins
- release 3
- provides fam? yes. obsoletes fam? NO!

Revision 1.32  2005/06/29 23:05:14  baggins
- release 2
- gamin is not in any way a full replacement for fam,
  so DO NOT obsolete/provide fam packages just for easier compilation of
  some gnome crap!

Revision 1.31  2005/06/11 14:16:27  ankry
- typo(s)

Revision 1.30  2005/06/11 13:36:09  grzegol
- updated to 0.1.1

Revision 1.29  2005/06/01 13:59:07  zbyniu
- BR: python

Revision 1.28  2005/05/20 15:46:27  freetz
- 0.1.0, inotify-redux-3 patch removed (included in sources)

Revision 1.27  2005/04/14 20:09:37  freetz
- removed not used installdir

Revision 1.26  2005/04/14 19:19:58  freetz
- updated to 0.0.26 snapshot 20050414, works with inotify 0.22
  (patch added)

Revision 1.25  2005/03/26 21:29:21  qboosh
- removed inetd stuff and portmap dep - unlike fam gamin is local-only daemon

Revision 1.24  2005/03/24 23:22:56  freetz
- 0.0.26

Revision 1.23  2005/02/20 19:21:29  grzegol
- updated to 0.0.24
- added python-gamin subpackage

Revision 1.22  2005/02/07 21:08:00  qboosh
- tab

Revision 1.21  2005/02/07 18:02:20  czucz
- added BR: pkgconfig

Revision 1.20  2005/01/09 19:10:33  pawelb
- up to 0.0.20
- by Paweł Cyranek

Revision 1.19  2004/12/12 15:00:32  grzegol
- updated to 0.0.19

Revision 1.18  2004/12/01 22:53:48  grzegol
- updated to 0.0.18

Revision 1.17  2004/11/25 20:37:26  freetz
- 0.0.17

Revision 1.16  2004/10/26 19:03:50  qboosh
- added missing version info to last changelog entry

Revision 1.15  2004/10/25 19:24:32  jm
- update by Mateusz Murawski <matowy[at]tlen.pl>
[0.0.16]

Revision 1.14  2004/10/03 19:53:40  grzegol
- updated to 0.0.14

Revision 1.13  2004/09/30 13:45:58  grzegol
- updated to 0.0.12

Revision 1.12  2004/09/23 16:42:28  grzegol
- updated to 0.0.10

Revision 1.11  2004/09/04 20:10:48  grzegol
- moved inetd config file to separate subpackage (it's not neccessary, at
  least in GNOME)
- rel. 2

Revision 1.10  2004/09/02 12:02:51  grzegol
- updated to 0.0.9

Revision 1.9  2004/08/30 20:32:16  grzegol
- updated to 0.0.8

Revision 1.8  2004/08/29 11:16:34  darekr
- add URL

Revision 1.7  2004/08/25 11:10:52  grzegol
- updated to 0.0.7

Revision 1.6  2004/08/23 19:56:38  grzegol
- set proper libdir in gamin inetd config file

Revision 1.5  2004/08/23 16:41:39  grzegol
- updated to 0.0.6

Revision 1.4  2004/08/06 18:32:54  qboosh
- fixed -devel dep

Revision 1.3  2004/07/22 23:28:13  grzegol
- added Obsoletes for fam
- added BR: and R: in -devel glib2-devel
- removed R: libstdc++-devel from -devel subpackage
- removed %%{_sysconfdir}/%%{name}.conf - there is no such file

Revision 1.2  2004/07/18 22:33:25  qboosh
- pl

Revision 1.1  2004/07/18 20:43:57  arekm
- initial pld release
